slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSEVSLSetPolParameters

Defines the parameters used for building the building the polynomial in the EVSL solver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSEVSLSetPolParameters(EPS eps,PetscInt max_deg,PetscReal thresh)

Logically Collective

### Input Parameters

| eps | - the eigensolver context
| max_deg | - maximum degree allowed for the polynomial
| thresh | - threshold for accepting polynomial

### Options Database Keys

| -eps_evsl_pol_max_deg <d> | - set maximum polynomial degree
| -eps_evsl_pol_thresh <t> | - set the threshold

### See Also

EPSEVSLGetPolParameters()

### Level

intermediate

### Location

src/eps/impls/external/evsl/evsl.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages